## pytqt 14.1.0

=== debian/changelog ===
pytqt (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Apr 2023 18:17:16 +0200

pytqt (3.18.1-4ubuntu0) lucid; urgency=low

  * Initial build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 29 Nov 2011 01:16:00 -0600
