## pytqt 14.1.1

=== debian/changelog ===
pytqt (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 07 Sep 2023 09:31:15 +0200
