## pytqt 14.1.2

=== debian/changelog ===
pytqt (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Feb 2024 15:24:48 +0100
