## pytqt 14.1.4

=== debian/changelog ===
pytqt (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 04 Apr 2025 14:11:58 +0200
