## pytqt 14.1.5

=== debian/changelog ===
pytqt (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 16:23:02 +0200
