## pytqt 14.1.6~pre0

=== debian/changelog ===
pytqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f662ab3046d4c140853bca3e3a408241e19b1853
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 16:23:02 +0200
