## pytqt 14.1.6~pre1

=== debian/changelog ===
pytqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for df83012cfe4f5d514e1686aadc5f996a07455f44
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 05 Jan 2026 15:31:14 +0100
