## pytqt 14.2.0~pre19

=== debian/changelog ===
pytqt (4:14.2.0~pre19-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for a44a74002dfea8a3af23855364555bf35ede1d09
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 11:59:12 +0200
