## pytqt 14.2.0~pre20

=== debian/changelog ===
pytqt (4:14.2.0~pre20-0ubuntu26.04.0+4~a) resolute; urgency=low

  * Automated git build for dc749f0e7dedf8642f2fc933d224b6c9897141aa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#pytqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 05 Jan 2026 15:06:11 +0100
